<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
$fr=$_GET['f'];
$q = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(mysql_real_escape_string($fr))."'");
$f = mysql_fetch_array($q);
$fadm = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_users` WHERE `uid`='".$use_id."' AND `fid`='".$f['id']."' AND `adm`=1;"), 0);
	if($game==0 OR $level==0 OR $f['id']=='' OR $fadm==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
echo '<div class="top"><img src="../images/fr.png" alt="" /> Фракция <u>'.$f['name'].'</u> | Управление</div>';
	switch ($act) {
	default:
	echo '<div class="conts">';
	echo '<img src="../images/menu.png" alt="" /> <a href="?act=news&amp;f='.$f['id'].'">Добавить новость</a><br/>';
	echo '<img src="../images/menu.png" alt="" /> <a href="?act=place&amp;f='.$f['id'].'">Новые места в составе</a><br/>';
	echo '<img src="../images/menu.png" alt="" /> <a href="?act=name&amp;f='.$f['id'].'">Переименовать фракцию</a><br/>';
	echo '<img src="../images/menu.png" alt="" /> <a href="?act=info&amp;f='.$f['id'].'">Обновить информацию</a><br/>';
	echo '<img src="../images/menu.png" alt="" /> <a href="?act=ava&amp;f='.$f['id'].'">Загрузить герб</a><br/>';
	echo '<img src="../images/menu.png" alt="" /> <a href="?act=chat&amp;f='.$f['id'].'">Очистить чат</a><br/>';
	if($f['uid']==$use_id)echo '<img src="../images/menu.png" alt="" /> <a href="?act=del&amp;f='.$f['id'].'">Удалить фракцию</a>';
	echo '</div><div class="conts"><a href="fraction.php?f='.$f['id'].'"><<Назад</a></div>';
	break;
	
	case 'news':
		 	div('Добавление новости','cont');
		echo '<div class="conts">';
	  	if(!$_POST)
	{
	
			echo '<form action="" method="POST">';
						echo 'Заголовок:<br />
									<input type="text" value="" name="zagolovok" /><br />
			Текст новости:<br />
			<input type="text" value="" name="text" /><br />';
			echo '<input type="submit" name="submit" value="Добавить"/></form>';
	}
	else
	{
			$text = check(trim($_POST['text']));
			$zagolovok = check(trim($_POST['zagolovok']));
		$error = false;
		
				if (empty($text))
			$error = $error . 'Не введен текст<br/>';
		elseif (mb_strlen($text) > 2000)
			$error = $error . 'Слишком длинный текст!<br />';
		elseif (mb_strlen($text) < 2)
			$error = $error . 'Слишком короткое сообщение!<br />';
		elseif (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$text))
			$error = $error . 'Недопустимые символы в тексте<br />';
		
						if (empty($zagolovok))
			$error = $error . 'Не введен заголовок<br/>';
		elseif (mb_strlen($zagolovok) > 100)
			$error = $error . 'Слишком длинный заголовок!<br />';
		elseif (mb_strlen($zagolovok) < 2)
			$error = $error . 'Слишком короткий заголовок!<br />';
		elseif (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$zagolovok))
			$error = $error . 'Недопустимые символы в заголовке<br />';
		
		
	  
	  		if (empty($error))
		{
		
			mysql_query("INSERT INTO `fractions_news` SET
			            `uid`='" . mysql_real_escape_string($use_id) . "',
						`fid`='" . mysql_real_escape_string($f['id']) . "',
						`news`='" . mysql_real_escape_string($zagolovok) . "',
						`time`='" . time() . "',
			            `text`='" . mysql_real_escape_string($text) . "';");
						
			header("Location: news.php?f=".$f['id']."");

		}
		else
		{
			echo ''.$error.'';
		}
	}
	  	echo '<a href="adm.php?f='.$f['id'].'"><<Назад</a></div>';
	break;
	case 'chat':
	div('Очистка чата','cont');
				echo '<div class="conts">';
				$wb=$_GET['o'];
		if($wb!=1){
							echo 'Вы уверенны что хотите очистить чат фракции '.$f['name'].'?<br/>';
							echo '<a href="?act=chat&amp;o=1&amp;f='.$f['id'].'">Да</a> или <a href="adm.php?f='.$f['id'].'">Отмена</a><br/>';
							}else{
	mysql_query("DELETE FROM `fractions_chat` WHERE `fid`='".$f['id']."'");
	header("Location: chat.php?f=".$f['id']."");
							}
			echo '</div>';
	break;
	case 'info':
		 	div('Информация о фракции','cont');
		echo '<div class="conts">';
	  	if(!$_POST)
	{
	
			echo '<form action="" method="POST">Информация:<br />
			<input type="text" value="" name="text" /> <input type="submit" name="submit" value="Обновить"/></form>';
	}
	else
	{
			$text = check(trim($_POST['text']));
		$error = false;
		
				if (empty($text))
			$error = $error . 'Не введен текст<br/>';
		elseif (mb_strlen($text) > 1000)
			$error = $error . 'Слишком длинный текст!<br />';
		elseif (mb_strlen($text) < 2)
			$error = $error . 'Слишком короткое сообщение!<br />';
		elseif (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$text))
			$error = $error . 'Недопустимые символы в тексте<br />';
		
		
		
	  
	  		if (empty($error))
		{
		

		
			mysql_query("UPDATE `fractions` SET
			            `about`='" . mysql_real_escape_string($text) . "' WHERE `id`='".$f['id']."';");
						
		header("Location: index.php?act=info&f=".$f['id']."");

		}
		else
		{
			echo ''.$error.'';
		}
	}
	  	echo '<a href="adm.php?f='.$f['id'].'"><<Назад</a></div>';
	break;
		case 'ava':
	div('Загрузка герба','cont');
	echo '<div class="cont"><img src="../images/sc.png" alt="image" /> Стоимость услуги 100 SC</div>';
	echo '<div class="conts">';
		if(!$_POST)
	{

	echo '<form action="?act=ava&f='.$f['id'].'" method="post" enctype="multipart/form-data">
    <input name="file" type="file" value=""> <br/>
    <input name="submit" type="submit" value="Загрузить">
	</form>';

	}else{
$error = false;
$file = $_FILES['file']['tmp_name'];
$filename = $_FILES['file']['name'];
if(!empty($file))
{
  ini_set('memory_limit', '20M'); 
  $maxsize = "100000";
  $extentions = array( "gif","jpg","jpeg","png");
  $size = filesize ($_FILES['file']['tmp_name']); 
  $type = strtolower(substr($filename, 1+strrpos($filename,".")));
  $new_name = 'file-'.time().'.'.$type; 
  $size1 = GetImageSize($file);
  
	$file_w = imagesx($file); 
	$file_h = imagesy($file);
  if($size > $maxsize)
  { 
   echo "Файл больше 100 кб. Уменьшите размер вашего файла или загрузите другой.";
  } 
  elseif(!in_array($type,$extentions)) 
  { 
    echo ' <b>Файл имеет недопустимое расширение</b>. Допустимыми являются форматы .gif, .jpg, .jpeg, .png';
  }
  elseif($size1[0] > 150 or $size1[1] > 150) 
  { 
    echo 'Фото не должно быть больше 150*150';
  }
	elseif($sc<100)
{
echo 'Не хватает SC для загрузки аватарки';
}	
  else 
  { 
  $t=time();
    if (copy($file, "../images/gerb/".$new_name)){
unlink ("../images/gerb/".$f['ava']."");
mysql_query("UPDATE `users` SET `sc`=sc-100 WHERE `id`='" . mysql_real_escape_string($use_id) . "';");
mysql_query("UPDATE `fractions` SET `ava`='" . $new_name . "' WHERE `id`='" . mysql_real_escape_string($f['id']) . "';");
header("Location: index.php?act=info&f=".$f['id']."");
	  
	  }
    else echo "Герб не загружен!";
  } 
}

	}
echo '<a href="adm.php?f='.$f['id'].'"><<Назад</a></div>';
	break;
case 'place':
	div('Дополнительное место в составе','cont');
	echo '<div class="cont"><img src="../images/sc.png" alt="image" /> Стоимость 1 места 50 SC</div>';
	echo '<div class="conts">';
			if(!$_POST)
	{
			echo '<form action="?act=place&f='.$f['id'].'" method="POST">';
			
			echo 'Количество мест:<br />
			<input type="text" value="0" name="pl" /> ';
			echo '<input type="submit" name="submit" value="Увеличить"/></form>';
	}
	else
	{
			$pl = check(trim($_POST['pl']));
			$tpl = 50*$pl;
		$error = false;
			
			if (empty($pl))
			$error = $error . 'Не введено количество мест!<br/>';
			elseif ($pl < 1)
			$error = $error . 'Нельзя купить меньше 1 места!<br />';
			elseif (preg_match('/[^\da-zA-Z_]+/',$pl))
			$error = $error . 'Недопустимые символы!<br />';
		elseif ($sc<$tpl)
			$error = $error . 'Не хватает SC для покупки дополнительных мест<br />';
		
	 
	  		if (empty($error))
		{

			mysql_query("UPDATE `users` SET `sc`=sc-$tpl WHERE `id`='" . mysql_real_escape_string($use_id) . "';");
			mysql_query("UPDATE `fractions` SET `maxnum`=maxnum+$pl WHERE `id`='" . mysql_real_escape_string($fr_id) . "';");
            echo 'Вы купили '.$pl.' дополнительных мест в составе своей фракции!<br/>С вашего счета списано '.$tpl.' SC<br/>';

		}
		else
		{
		echo ''.$error.'';
		}
	}
		echo '<a href="adm.php?f='.$f['id'].'"><<Назад</a></div>';
	break;
		case 'name':
		 	div('Переименование фракции','cont');
		echo '<div class="cont"><img src="../images/sc.png" alt="image" /> Стоимость переименования 50 SC</div>';
		echo '<div class="conts">';
	  	if(!$_POST)
	{
	
			echo '<form action="" method="POST">Новое название:<br />
			<input type="text" value="" name="text" /> <input type="submit" name="submit" value="Обновить"/></form>';
	}
	else
	{
			$text = check(trim($_POST['text']));
		$error = false;
		
				if (empty($text))
			$error = $error . 'Не введено название<br/>';
		elseif (strlen($text) > 100)
			$error = $error . 'Слишком длинное название!<br />';
		elseif (strlen($text) < 2)
			$error = $error . 'Слишком короткое название!<br />';
		elseif (preg_match('/[^\\w\\x7F-\\xFF\\s]+/s',$text))
			$error = $error . 'Недопустимые символы в названии<br />';
		elseif ($sc<50)
			$error = $error . 'Не хватает SC для переименования фракции<br />';
		
		
	  
	  		if (empty($error))
		{
		

		
			mysql_query("UPDATE `fractions` SET
			            `name`='" . mysql_real_escape_string($text) . "' WHERE `id`='".$f['id']."';");
			mysql_query("UPDATE `users` SET `sc`=sc-50 WHERE `id`='" . mysql_real_escape_string($use_id) . "';");	
			mysql_query("UPDATE `users` SET `fr_name`='" . mysql_real_escape_string($text) . "' WHERE `fr_id`='".$f['id']."';");				
		 echo 'Вы сменили название вашей фракции на <b>'.$text.'</b>!<br/>С вашего счета списано 50 SC<br/>';

		}
		else
		{
			echo ''.$error.'';
		}
	}
	  	echo '<a href="adm.php?f='.$f['id'].'"><<Назад</a></div>';
	break;
	case 'del':
	if($f['uid']==$use_id){
	div('Удаление фракции','cont');
				echo '<div class="conts">';
				$wb=$_GET['o'];
		if($wb!=1){
							echo 'Вы уверенны что хотите удалить фракцию '.$f['name'].'?<br/>';
							echo '<a href="?act=del&amp;o=1&amp;f='.$f['id'].'">Да</a> или <a href="adm.php?f='.$f['id'].'">Отмена</a><br/>';
							}else{
	unlink ("../images/gerb/".$f['ava']."");
	mysql_query("DELETE FROM `fractions_chat` WHERE `fid`='".$f['id']."'");
	mysql_query("DELETE FROM `fractions_news` WHERE `fid`='".$f['id']."'");
	mysql_query("DELETE FROM `fractions_users` WHERE `fid`='".$f['id']."'");
	mysql_query("DELETE FROM `fractions` WHERE `id`='".$f['id']."'");
	mysql_query("DELETE FROM `fractions_dipl` WHERE `fr_id1`='".$f['id']."'");
	mysql_query("DELETE FROM `fractions_dipl` WHERE `fr_id2`='".$f['id']."'");
	mysql_query("UPDATE `users` SET `fr_id`=0, `fr_name`='' WHERE `fr_id`='".$f['id']."'");
	mysql_query("UPDATE `users` SET `fr`=0, `fr_name`='' WHERE `fr`='".$f['id']."'");
	header("Location: index.php");
							}
			echo '</div>';
			
	}
	break;
	}
}
	
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>